<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPoolPlugin\Model;

class CustomerPool implements CustomerPoolInterface
{
    protected ?int $id;

    protected ?string $code = null;

    protected string $name = '';

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCode(): ?string
    {
        return $this->code;
    }

    public function setCode(?string $code): void
    {
        $this->code = $code;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function __toString()
    {
        return $this->name;
    }
}
