<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPoolPlugin\Application\src\Entity\Channel;

use Dedi\SyliusCustomerPoolPlugin\Model\Customer\CustomerPoolAwareInterface;
use Dedi\SyliusCustomerPoolPlugin\Model\Customer\CustomerPoolTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\Channel as BaseChannel;

/**
 * @ORM\Entity
 * @ORM\Table(name="sylius_channel")
 */
final class Channel extends BaseChannel implements CustomerPoolAwareInterface
{
    use CustomerPoolTrait;
}
